<?php
/**
 * Template part for displaying home page hero content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Reduxbiz
 */

?>

<?php

	global $allowed_html;
	$heroTitle = '';
	$heroText = '';
	$heroButtonText = '';
	$heroButtonLink = '';
	$imageID = '';
	
	$heroTitle = wp_kses( reduxbiz_options('hero_title'), $allowed_html );
	$heroText = wp_kses( reduxbiz_options('hero_text'), $allowed_html );
	$heroButtonText = esc_html( reduxbiz_options('hero_buttontext') );
	$heroButtonLink = esc_url( reduxbiz_options('hero_buttonlink') );
	$imageID = esc_html( reduxbiz_options('hero_image') );
	$heroStyle = esc_html( reduxbiz_options('hero_style') );
	
	if ($heroStyle == 'light') {
		$herobgClass= 'has-post-thumbnail';
	} else {
		$herobgClass= '';
	}
?>

<?php if ( ($heroTitle != '') || ($heroText != '') || ($heroButtonText != '') || ($heroButtonText != '') || ($imageID != '')  ) :?>
 
<article id="homepage-hero" class="hentry homepage-hero <?php echo $herobgClass; ?>" <?php reduxbiz_background_image($imageID); ?>>

	<div class="hentry-wrapper">

		<?php if ( $heroTitle != '' ) :?>
			<header class="entry-header">
				<h2><?php echo $heroTitle; ?></h2>
				<?php if ( $heroText != '' ):?>
					<?php echo $heroText; ?>
				<?php endif; ?>
			</header><!-- .entry-header -->
		<?php endif; ?>

		<?php if ( $heroButtonLink != '' ):?>
		<div class="entry-content">
			
				<p><a class="button" href="<?php echo $heroButtonLink; ?>"><?php if ($heroButtonText) { echo $heroButtonText; } else { _e('Click Me &raquo;','reduxbiz'); } ?></a></p>
			
		</div><!-- .entry-content -->
		<?php endif; ?>

	</div><!-- .hentry-wrapper -->
</article><!-- #post-## -->

<?php endif; ?>