<?php
/**
 * Template part for displaying home page hero content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Reduxbiz
 */

?>

<?php

	global $allowed_html;
	$servicesShow = esc_html( reduxbiz_options('services_show') );
	$servicesTitle = wp_kses( reduxbiz_options('services_heading'), $allowed_html);
	$servicesText = wp_kses( reduxbiz_options('services_text', ''), $allowed_html );
	$servicesImageID = esc_html ( reduxbiz_options('services_image') );
	$servicesStyle = esc_html( reduxbiz_options('services_style') );
	
	if ($servicesStyle == 'light') {
		$bgClass= 'has-post-thumbnail';
	} else {
		$bgClass= '';
	}
	
?>

<?php if ($servicesShow == 'on'): ?>
<article class="hentry home-panel home-services <?php echo $bgClass; ?>" <?php if ($servicesImageID!='') { reduxbiz_background_image($servicesImageID); } ?>>

	<div class="hentry-wrapper">

		<?php if ( ( $servicesTitle != '' ) || ( $servicesText != '' ) ) :?>
			<header class="entry-header">

				<?php if ( $servicesTitle !== '' ) :?>
					<h2  class="entry-title"><?php echo $servicesTitle; ?></h2>
				<?php endif; ?>
				
				<?php if ( $servicesText != '' ) :?>
					<?php echo $servicesText; ?>
				<?php endif; ?>

			</header><!-- .entry-header -->
		<?php endif; ?>

		<div class="entry-content">
			
		<div class="service column-2">

		<?php
			//Define the Number of Testimonials Required
			$service_number = 4;
			
			$i = 1;
			$shown = 0;
			
			while ($i <= $service_number) {
			
				$servicePageID = esc_html ( reduxbiz_options('service'.$i) );		

				if ( ($servicePageID != '') ) { 
				
					$shown++;

					$serviceLink = get_page_link( $servicePageID);
					$serviceImage = get_the_post_thumbnail( $servicePageID,'reduxbiz-big-thumb');
					$serviceName = get_the_title( $servicePageID);
					
					if(reduxbiz_checkEven($shown) === true){
					  $serviceClass = 'column-entry-first-item-row';
					}else{
					  $serviceClass = 'column-entry-last-item-row';
					} ?>
					
						<div class="service-entry column-entry-column-2 <?php echo $serviceClass; ?>">

								<?php if ( $serviceName != '' ) { ?>
									<h4><a href="<?php echo $serviceLink; ?>" title="<?php echo $serviceName; ?>"><?php echo $serviceName; ?></a></h4>
								<?php } ?>


						<?php 

							if ( has_post_thumbnail($servicePageID ) ) {
								echo '<p><a class="services-featured-image" href="' . $serviceLink . '">'. $serviceImage .'</a></p>';
							}
						?>

	
							<div class="service-entry-content">
								<?php
									$page = get_post($servicePageID);
									$excerpt = $page->post_content;;
									echo wp_trim_words($excerpt, 40); 
								?>
							</div>

							<p class="alignright"><a href="<?php echo $serviceLink; ?>" title="<?php echo $serviceName; ?>"><?php _e('more &raquo;','reduxbiz'); ?></a></p>
								
						</div><!-- close .service-entry -->
				<?php }
			
				$i++;
			
			}
		?>
		
		</div><!-- .service -->

		</div><!-- .entry-content -->

	</div><!-- .hentry-wrapper -->
</article><!-- #post-## -->
<?php endif; ?>