<?php
/**
 * Template part for displaying home page hero content in panel-page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Reduxbiz
 */

?>

<?php

	global $allowed_html;	
	$testimonialsShow = esc_html( reduxbiz_options('testimonial_show') );
	$testimonialsTitle = wp_kses( reduxbiz_options('testimonial_heading'), $allowed_html );
	$testimonialsText = wp_kses( reduxbiz_options('testimonial_text', ''), $allowed_html );
	$testimonialsImageID = wp_kses( reduxbiz_options('testimonial_image'), $allowed_html );
	$testimonialsStyle = esc_html( reduxbiz_options('testimonial_style') );
	
	if ($testimonialsStyle == 'light') {
		$bgClass= 'has-post-thumbnail';
	} else {
		$bgClass= '';
	}
	
?>

<?php if ($testimonialsShow == 'on'): ?>
<article class="hentry home-panel home-testimonials <?php echo $bgClass; ?>" <?php if( $testimonialsImageID != '') { reduxbiz_background_image($testimonialsImageID); } ?>>

	<div class="hentry-wrapper">

		<?php if ( ($testimonialsTitle != '' ) || ($testimonialsText != '') ) :?>
		<header class="entry-header">
		
			<?php if ( $testimonialsTitle !== '' ) :?>
				<h2  class="entry-title"><?php echo $testimonialsTitle; ?></h2>
			<?php endif; ?>
			
			<?php if ( $testimonialsText != '' ) :?>
				<?php echo $testimonialsText; ?>
			<?php endif; ?>

		</header><!-- .entry-header -->
		<?php endif; ?>

		<div class="entry-content">
			
		<div class="testimonial column-2">

		<?php
			//Define the Number of Testimonials Required
			$testimonial_number = 4;
			
			$i = 1;
			$shown = 0;
			
			while ($i <= $testimonial_number) {
			
				$testimonialPageID = reduxbiz_options('testimonial'.$i);

				if ( ($testimonialPageID != '') ) { 
				
					$shown++;

					$testimonialLink = get_page_link( $testimonialPageID);
					$testimonialImage = get_the_post_thumbnail( $testimonialPageID,'thumbnail');
					$testimonialName = get_the_title( $testimonialPageID);
					
					
					if(reduxbiz_checkEven($shown) === true){
					  $testimonialClass = 'column-entry-first-item-row';
					}else{
					  $testimonialClass = 'column-entry-last-item-row';
					} ?>
					
						<div class="testimonial-entry column-entry-column-2 <?php echo $testimonialClass; ?>">
							<div class="testimonial-entry-content">
								<?php
									$page = get_post($testimonialPageID);
									$excerpt = $page->post_content;;
									echo wp_trim_words($excerpt, 40); 
								?>
							</div>
							<span class="testimonial-entry-title">&mdash; <a href="<?php echo $testimonialLink; ?>" title="<?php echo $testimonialName; ?>" rel="nofollow"><?php echo $testimonialName; ?></a></span>


						<?php 

							if ( has_post_thumbnail($testimonialPageID ) ) {
								echo '<a class="testimonial-featured-image" href="' . $testimonialLink . '">'. $testimonialImage .'</a>';
							}
						?>
						
						</div><!-- close .testimonial-entry -->
				<?php }
			
				$i++;
			
			}
		?>
		
		</div><!-- .testimonial -->

		</div><!-- .entry-content -->

	</div><!-- .hentry-wrapper -->
</article><!-- #post-## -->
<?php endif; ?>